# -*- encoding: utf-8 -*-
# stub: sensu-plugins-http 6.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-http".freeze
  s.version = "6.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2020-04-04"
  s.description = "This plugin provides native HTTP instrumentation\n                              for monitoring and metrics collection, including:\n                              response code, JSON response, HTTP last modified,\n                              SSL expiry, and metrics via `curl`.".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["check-http-json.rb".freeze, "check-http-cors.rb".freeze, "check-head-redirect.rb".freeze, "check-https-cert.rb".freeze, "check-last-modified.rb".freeze, "check-http.rb".freeze, "metrics-http-json.rb".freeze, "metrics-http-json-deep.rb".freeze, "metrics-curl.rb".freeze, "metrics-libcurl.rb".freeze]
  s.files = ["bin/check-head-redirect.rb".freeze, "bin/check-http-cors.rb".freeze, "bin/check-http-json.rb".freeze, "bin/check-http.rb".freeze, "bin/check-https-cert.rb".freeze, "bin/check-last-modified.rb".freeze, "bin/metrics-curl.rb".freeze, "bin/metrics-http-json-deep.rb".freeze, "bin/metrics-http-json.rb".freeze, "bin/metrics-libcurl.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-http".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for various http monitors and metrics".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aws-sdk>.freeze, ["~> 2.3"])
    s.add_runtime_dependency(%q<oj>.freeze, ["~> 3.10"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["~> 2.1"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<typhoeus>.freeze, ["~> 1.3.1"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<json>.freeze, ["~> 2.3"])
    s.add_development_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_development_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_development_dependency(%q<kitchen-vagrant>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<rdoc>.freeze, [">= 0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.79.0"])
    s.add_development_dependency(%q<test-kitchen>.freeze, ["~> 1.25.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  else
    s.add_dependency(%q<aws-sdk>.freeze, ["~> 2.3"])
    s.add_dependency(%q<oj>.freeze, ["~> 3.10"])
    s.add_dependency(%q<rest-client>.freeze, ["~> 2.1"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<typhoeus>.freeze, ["~> 1.3.1"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<json>.freeze, ["~> 2.3"])
    s.add_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_dependency(%q<kitchen-vagrant>.freeze, ["~> 1.3"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<rdoc>.freeze, [">= 0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.79.0"])
    s.add_dependency(%q<test-kitchen>.freeze, ["~> 1.25.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
